## fricas 1.3.6

=== debian/changelog ===
fricas (1.3.6-6) unstable; urgency=high

  * libx11-dev -> libxpm-dev in build depends
  * Bug fix: "fricas-{graphics,hypertex} are empty", thanks to Adrian Bunk
    (Closes: #987456).

 -- Camm Maguire <camm@debian.org>  Sat, 24 Apr 2021 13:23:44 +0000

fricas (1.3.6-5) unstable; urgency=medium

  * clean build-depends

 -- Camm Maguire <camm@debian.org>  Sat, 13 Feb 2021 01:48:46 +0000

fricas (1.3.6-4) unstable; urgency=medium

  * lintian cleanups

 -- Camm Maguire <camm@debian.org>  Fri, 12 Feb 2021 20:15:19 +0000

fricas (1.3.6-3) unstable; urgency=medium

  * build depend on latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 28 Nov 2020 16:08:44 +0000

fricas (1.3.6-2) unstable; urgency=medium

  * Source only upload

 -- Camm Maguire <camm@debian.org>  Sat, 28 Nov 2020 13:19:03 +0000

fricas (1.3.6-1) unstable; urgency=medium

  * Expand debian/copyright to include all contributions. (Thanks Thorsten
    Alteholz <ftpmaster@ftp-master.debian.org>)
  * Initial release
  * Closes: #890525

 -- Camm Maguire <camm@debian.org>  Fri, 02 Oct 2020 00:07:41 +0000
