=== debian/control ===
Source: fricas
Section: math
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Rules-Requires-Root: no
Homepage: http://fricas.sourceforge.net/
Build-Depends-Indep: dh-elpa, sharutils
Build-Depends: debhelper-compat ( = 13 ), gcl ( >= 2.6.12-99 ), libgmp3-dev, libreadline-dev, libxpm-dev
Standards-Version: 4.5.1

Package: fricas
Architecture: any
Depends: ${shlibs:Depends}, fricas-databases (= ${source:Version}), ${misc:Depends}, gawk
Recommends: fricas-source, fricas-doc, fricas-graphics, fricas-hypertex
Suggests: texmacs, fricas-tex, fricas-test, nowebm
Description: General purpose computer algebra system: main binary and modules
 Fricas is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Fricas has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Fricas Journal with
 refereed submissions.
 .
 This package contains the main program binary and all precompiled
 algebra and autoloadable modules.

Package: fricas-source
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: source files
 Fricas is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Fricas has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Fricas Journal with
 refereed submissions.
 .
 This package contains source files in Fricas's native spad language
 for the compiled algebra modules supplied in the fricas package.
 .

Package: fricas-test
Architecture: all
Depends: fricas (>= ${source:Version}), ${misc:Depends}
Description: General purpose computer algebra system: regression test inputs
 Fricas is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Fricas has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Fricas Journal with
 refereed submissions.
 .
 This package contains input files for Fricas's regression test suite.

Package: fricas-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: General purpose computer algebra system: documentation
 Fricas is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Fricas has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Fricas Journal with
 refereed submissions.
 .
 This package contains all documentation, including the Fricas book in
 dvi format with all postscript images.

Package: fricas-databases
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: generated text databases
 Fricas is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Fricas has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Fricas Journal with
 refereed submissions.
 .
 This package contains the text databases generated during the build
 process used in computing the hierarchical domain structure, among
 other uses.

Package: fricas-graphics
Architecture: any
Depends: ${shlibs:Depends}, fricas (= ${binary:Version}), fricas-graphics-data (= ${source:Version}), ${misc:Depends}
Description: General purpose computer algebra system: graphics subsystem
 Fricas is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Fricas has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Fricas Journal with
 refereed submissions.
 .
 This package contains the binaries for the graphics subsystem.
 The programs in this package allow fricas to draw plots to separate
 windows in X as well as to output files in postscript format.

Package: fricas-graphics-data
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: graphics data
 Fricas is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Fricas has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Fricas Journal with
 refereed submissions.
 .
 This package contains required data files for the fricas graphics
 subsystem.

Package: fricas-hypertex
Architecture: any
Depends: ${shlibs:Depends}, fricas (= ${binary:Version}), fricas-hypertex-data (= ${source:Version}), ${misc:Depends}
Description: General purpose computer algebra system: hypertex subsystem
 Fricas is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Fricas has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Fricas Journal with
 refereed submissions.
 .
 This package contains the binaries for the hypertex subsystem.
 The programs in this package provide an interactive online help
 system describing the many fricas commands.

Package: fricas-hypertex-data
Architecture: all
Depends: ${misc:Depends}
Description: General purpose computer algebra system: hypertex data
 Fricas is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Fricas has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Fricas Journal with
 refereed submissions.
 .
 This package contains required data files for the fricas hypertex
 subsystem.

Package: elpa-fricas
Architecture: all
Depends: ${misc:Depends}
Enhances: emacs
Section: lisp
Description: General purpose computer algebra system: emacs support
 Fricas is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Fricas has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Fricas Journal with
 refereed submissions.
 .
 This package contains support for running Fricas under emacs.
