## fricas 1.3.7

=== debian/changelog ===
fricas (1.3.7-5) unstable; urgency=medium

  * autoupdate
  * dh_autoreconf

 -- Camm Maguire <camm@debian.org>  Wed, 26 Jan 2022 14:13:04 -0500

fricas (1.3.7-4) unstable; urgency=medium

  * rebuild against latest gcl
  * Bug fix: "libc6 2.33 bug causes assert; patch is upstream", thanks to
    Валерий Заподовников (Closes: #1004119).

 -- Camm Maguire <camm@debian.org>  Wed, 26 Jan 2022 10:38:35 -0500

fricas (1.3.7-3) unstable; urgency=medium

  * release once more to capture an additional unreproducible armhf log
    error

 -- Camm Maguire <camm@debian.org>  Sun, 26 Sep 2021 12:46:45 +0000

fricas (1.3.7-2) unstable; urgency=medium

  * Source upload clearing migration issues

 -- Camm Maguire <camm@debian.org>  Sat, 04 Sep 2021 19:51:53 +0000

fricas (1.3.7-1) unstable; urgency=medium

  * New upstream release.

 -- Camm Maguire <camm@debian.org>  Thu, 01 Jul 2021 15:40:04 +0000
