=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Rules-Requires-Root: no
 Homepage: http://fricas.sourceforge.net/
 Build-Depends-Indep: dh-elpa, sharutils
-Build-Depends: debhelper-compat ( = 13 ), gcl ( >= 2.6.12-99 ), libgmp3-dev, libreadline-dev, libxpm-dev
+Build-Depends: debhelper-compat ( = 13 ), gcl ( >= 2.6.12-117 ), libgmp3-dev, libeditreadline-dev, libxpm-dev
 Standards-Version: 4.5.1
 
 Package: fricas
