## fricas 1.3.8

=== debian/changelog ===
fricas (1.3.8-6) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Sun, 08 Jan 2023 17:12:49 -0500

fricas (1.3.8-5) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Sun, 25 Dec 2022 18:13:05 -0500

fricas (1.3.8-4) unstable; urgency=medium

  * fix build dependencies

 -- Camm Maguire <camm@debian.org>  Thu, 22 Dec 2022 20:01:31 -0500

fricas (1.3.8-3) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 21 Dec 2022 14:51:28 -0500

fricas (1.3.8-2) unstable; urgency=medium

  * build-dep latest gcl
  * prune build-deps

 -- Camm Maguire <camm@debian.org>  Wed, 21 Dec 2022 13:00:31 -0500

fricas (1.3.8-1) unstable; urgency=medium

  * New upstream release.

 -- Camm Maguire <camm@debian.org>  Sun, 03 Jul 2022 17:45:02 +0000
