=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Rules-Requires-Root: no
 Homepage: http://fricas.sourceforge.net/
 Build-Depends-Indep: dh-elpa, sharutils
-Build-Depends: debhelper-compat ( = 13 ), gcl ( >= 2.6.12-117 ), libgmp3-dev, libeditreadline-dev, libxpm-dev
+Build-Depends: debhelper-compat ( = 13 ), gcl ( >= 2.6.14-1 ), libgmp3-dev, libeditreadline-dev, libx11-dev
 Standards-Version: 4.5.1
 
 Package: fricas
 Architecture: any
-Depends: ${shlibs:Depends}, fricas-databases (= ${source:Version}), ${misc:Depends}, gawk
+Depends: ${shlibs:Depends}, fricas-databases (= ${source:Version}), ${misc:Depends}, mawk
 Recommends: fricas-source, fricas-doc, fricas-graphics, fricas-hypertex
 Suggests: texmacs, fricas-tex, fricas-test, nowebm
 Description: General purpose computer algebra system: main binary and modules
