## fricas 1.3.10

=== debian/changelog ===
fricas (1.3.10-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:24:24 +0000

fricas (1.3.10-1build2) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 00:09:46 +0000

fricas (1.3.10-1build1) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:22:56 +0000

fricas (1.3.10-1) unstable; urgency=medium

  * New upstream release.

 -- Camm Maguire <camm@debian.org>  Mon, 05 Feb 2024 10:49:29 -0500

fricas (1.3.8-8) unstable; urgency=medium

  * rewrite strcpy lines in sockio-c.c to work around fortify object size
    detection bug.  As previously written, size available in pad was
    incorrectly calculated as 14.

 -- Camm Maguire <camm@debian.org>  Sun, 11 Jun 2023 11:51:01 -0400

fricas (1.3.8-7) unstable; urgency=medium

  * Build depend on libxpm-dev, xvfb in place of libx11-dev.
  * Bug fix: "viewman and hypertex are not present in packages", thanks to
    Uwe Krüger (Closes: #1037181).

 -- Camm Maguire <camm@debian.org>  Thu, 08 Jun 2023 10:04:06 -0400
