=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: fricas
 Section: math
 Priority: optional
-Maintainer: Camm Maguire <camm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Camm Maguire <camm@debian.org>
 Rules-Requires-Root: no
 Homepage: http://fricas.sourceforge.net/
 Build-Depends-Indep: dh-elpa, sharutils
-Build-Depends: debhelper-compat ( = 13 ), gcl ( >= 2.6.14-1 ), libgmp3-dev, libeditreadline-dev, libx11-dev
+Build-Depends: debhelper-compat ( = 13 ), gcl ( >= 2.6.14 ), libgmp3-dev, libeditreadline-dev, libxpm-dev, xvfb
 Standards-Version: 4.5.1
 
 Package: fricas
