=== debian/watch ===
version=4
https://sf.net/fricas/fricas-(.+)-full\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate
