## fricas 1.3.11

=== debian/changelog ===
fricas (1.3.11-5) unstable; urgency=medium

  * Bug fix: "FTBFS: spadbuf.c:202:11: error: conflicting types for
    &#39;fopen&#39;; have &#39;FILE *(void)&#39;", thanks to Santiago Vila
    (Closes: #1114109).

 -- Camm Maguire <camm@debian.org>  Sun, 21 Sep 2025 16:15:35 -0400

fricas (1.3.11-4) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 13 May 2025 11:58:25 -0400

fricas (1.3.11-3) unstable; urgency=medium

  * build-dep on gcl27

 -- Camm Maguire <camm@debian.org>  Sat, 26 Apr 2025 19:24:47 -0400

fricas (1.3.11-2) unstable; urgency=medium

  * Bug fix: "needs rebuild against dh-elpa &gt;=2.1.5", thanks to
    spwhitton@spwhitton.name</a>; (Closes: #1077104).

 -- Camm Maguire <camm@debian.org>  Sun, 28 Jul 2024 12:02:53 -0400

fricas (1.3.11-1) unstable; urgency=medium

  * New upstream release.

 -- Camm Maguire <camm@debian.org>  Sun, 30 Jun 2024 09:39:48 -0400

fricas (1.3.10-2) unstable; urgency=medium

  * Bug fix: "FTBFS on arm{el,hf}:
    /&lt;&lt;PKGBUILDDIR&gt;&gt;/src/lisp/fricas-lisp.c:1750:10: error:
    implicit declaration of function ‘sock_get_string_buf’; did you mean
    ‘sock_send_string_len’? [-Werror=implicit-function-declaration]",
    thanks to Sebastian Ramacher (Closes: #1068210).

 -- Camm Maguire <camm@debian.org>  Tue, 09 Apr 2024 11:02:50 -0400
