=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: fricas
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Camm Maguire <camm@debian.org>
+Maintainer: Camm Maguire <camm@debian.org>
 Rules-Requires-Root: no
 Homepage: http://fricas.sourceforge.net/
 Build-Depends-Indep: dh-elpa, sharutils
-Build-Depends: debhelper-compat ( = 13 ), gcl ( >= 2.6.14 ), libgmp3-dev, libeditreadline-dev, libxpm-dev, xvfb
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat ( = 13 ), gcl27 ( >= 2.7.1-4 ), libgmp3-dev, libeditreadline-dev, libxpm-dev, xvfb
+Standards-Version: 4.7.2
 
 Package: fricas
 Architecture: any
-Depends: ${shlibs:Depends}, fricas-databases (= ${source:Version}), ${misc:Depends}, mawk
+Depends: ${shlibs:Depends}, fricas-databases (= ${source:Version}), ${misc:Depends}, gawk
 Recommends: fricas-source, fricas-doc, fricas-graphics, fricas-hypertex
 Suggests: texmacs, fricas-tex, fricas-test, nowebm
 Description: General purpose computer algebra system: main binary and modules
@@ -36,6 +35,7 @@
 Package: fricas-source
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: General purpose computer algebra system: source files
  Fricas is useful for
  research and development of mathematical algorithms. It defines a
@@ -81,6 +81,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: General purpose computer algebra system: documentation
  Fricas is useful for
  research and development of mathematical algorithms. It defines a
@@ -103,6 +104,7 @@
 Package: fricas-databases
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: General purpose computer algebra system: generated text databases
  Fricas is useful for
  research and development of mathematical algorithms. It defines a
@@ -149,6 +151,7 @@
 Package: fricas-graphics-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: General purpose computer algebra system: graphics data
  Fricas is useful for
  research and development of mathematical algorithms. It defines a
@@ -194,6 +197,7 @@
 Package: fricas-hypertex-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: General purpose computer algebra system: hypertex data
  Fricas is useful for
  research and development of mathematical algorithms. It defines a
