=== debian/rules ===
--- 
+++ 
@@ -29,18 +29,23 @@
 	rm -f debian/test_results debian/*.install debian/*.out debian/*.links debian/install_list debian/installs
 	rm -rf debian/fricas_tutorialu debian/efricas.1 config.log
 	rm -rf debian/README.aldor debian/README.sbcl debian/README.macos debian/README.texmacs
-	rm -rf $(OVERRIDES) src/doc/util-ht src/doc/util.ht
+	rm -rf $(OVERRIDES) src/doc/util-ht src/doc/util.ht gcl27
 
 	dh_clean
+	dh_autoreconf_clean
 
 build: build-arch build-indep
 build-arch: build-stamp
-build-indep: build-stamp
+build-indep: #build-stamp
 build-stamp:
 	dh_testdir
 
+	dh_autoreconf
+
+#	echo '(load (compile-file "debian/gcl27p.l"))(si::save-system "gcl27")' | GCL_ANSI=t gcl27
+
 	export GCL_ANSI=t ; \
-	eval `dpkg-buildflags --export=sh` && ./configure --with-lisp=gcl --prefix=/usr && $(MAKE)
+	eval `dpkg-buildflags --export=sh` && ./configure --with-lisp=gcl27 --prefix=/usr && $(MAKE)
 
 	(cd src/input && $(MAKE) check) | tee debian/test_results
 
@@ -69,7 +74,7 @@
 	mkdir -p debian/tmp/usr/bin && cp debian/fricas-test.sh debian/tmp/usr/bin/fricas-test
 #	mkdir -p debian/tmp/usr/share/man/man1 && cp debian/fricas-test.1 debian/tmp/usr/share/man/man1
 
-	for i in $$(find debian/tmp -name HTXFormatPage7.ht); do iconv -f ISO-8859-16 -t UTF-8 -o tmp $$i && mv tmp $$i; done
+	for i in $$(find debian/tmp -name HTXFormatPage7.ht); do iconv -f ISO-8859-16 -t UTF-8 -o tmp $$i && mv tmp $$i && chmod 644 $$i; done
 
 	touch install-stamp
