## fricas 1.3.12

=== debian/changelog ===
fricas (1.3.12-2) unstable; urgency=medium

  * sidestep_init_config

 -- Camm Maguire <camm@barriere.debian.org>  Thu, 12 Feb 2026 22:10:55 +0000

fricas (1.3.12-1) unstable; urgency=medium

  * New upstream release.

 -- Camm Maguire <camm@barriere.debian.org>  Wed, 11 Feb 2026 18:10:50 +0000
